matrix:
  platform:
  - ubuntu2004
  - macos
  - macos_arm64
  - windows
  bazel:
  - 6.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@magic_enum//:magic_enum'
bcr_test_module:
  module_path: test
  matrix:
    platform:
    - ubuntu2004
    - macos
    - macos_arm64
    - windows
    bazel:
    - 7.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
      - //...
      test_targets:
      - //...
